# ----- General -------------------------------------------------------------
DEBUG=off

# ----- Usage ---------------------------------------------------------------
# Usage

usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS with Pharlap)
zmake dos16b     (16 bit DOS with Blinker)
zmake dos32      (32 bit DOS with Pharlap)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
zmake vxworks    (vxWorks)
<<


# ----- Clean ---------------------------------------------------------------
clean:
	z_clean

# ----- Platforms -----------------------------------------------------------
dos16: split116.exe split216.exe split316.exe split416.exe

dos16b: split11b.exe split21b.exe split31b.exe split41b.exe

dos32: splt132.exe splt232.exe splt332.exe splt432.exe

win16: wsplt116.exe wsplt216.exe wsplt316.exe wsplt416.exe

win32: wsplt132.exe wsplt232.exe wsplt332.exe wsplt432.exe

win32dll: wsplit1.exe wsplit2.exe wsplit3.exe wsplit4.exe

vxworks: vsplit1.o vsplit2.o vsplit3.o vsplit4.o

# ----- Targets -------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

# ----- pharlap -------------------------------------------------------------
TARGET_TYPE=EXE
PLATFORM=DOS16
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)

#
# Build options for splt116.exe
#
TARGET=split116.exe
SOURCE_FILES=split1.cpp
!include <zaf.mak>

#
# Build options for split216.exe
#
TARGET=split216.exe
SOURCE_FILES=split2.cpp
!include <zaf.mak>

#
# Build options for split316.exe
#
TARGET=split316.exe
SOURCE_FILES=split3.cpp
!include <zaf.mak>

#
# Build options for split416.exe
#
TARGET=split416.exe
SOURCE_FILES=split.cpp split4.cpp
!include <zaf.mak>

# ----- blinker -------------------------------------------------------------
TARGET_TYPE=EXE
PLATFORM=DOS16B
ADD_LIBRARIES=zafd16p.lib
DEFINITION_FILE=

#
# Build options for splt11b.exe
#
TARGET=split11b.exe
SOURCE_FILES=split1.cpp
!include <zaf.mak>

#
# Build options for split21b.exe
#
TARGET=split21b.exe
SOURCE_FILES=split2.cpp
!include <zaf.mak>

#
# Build options for split31b.exe
#
TARGET=split31b.exe
SOURCE_FILES=split3.cpp
!include <zaf.mak>

#
# Build options for split41b.exe
#
TARGET=split41b.exe
SOURCE_FILES=split.cpp split4.cpp
!include <zaf.mak>

#
# Build options for splt132.exe
#
TARGET=splt132.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=split1.cpp
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for splt232.exe
#
TARGET=splt232.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=split2.cpp
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for splt332.exe
#
TARGET=splt332.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=split3.cpp
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for splt432.exe
#
TARGET=splt432.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=split.cpp split4.cpp
ADD_LIBRARIES=zafd32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsplt116.exe
#
TARGET=wsplt116.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=split1.cpp
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wsplt216.exe
#
TARGET=wsplt216.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=split2.cpp
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wsplt316.exe
#
TARGET=wsplt316.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=split3.cpp
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wsplt416.exe
#
TARGET=wsplt416.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=split.cpp split4.cpp
ADD_LIBRARIES=zafw16p.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wsplt132.exe
#
TARGET=wsplt132.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=split1.cpp
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsplt232.exe
#
TARGET=wsplt232.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=split2.cpp
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsplt332.exe
#
TARGET=wsplt332.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=split3.cpp
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsplt432.exe
#
TARGET=wsplt432.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=split.cpp split4.cpp
ADD_LIBRARIES=zafw32p.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsplit1.exe
#
TARGET=wsplit1.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=split1.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsplit2.exe
#
TARGET=wsplit2.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=split2.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsplit3.exe
#
TARGET=wsplit3.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=split3.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wsplit4.exe
#
TARGET=wsplit4.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=split.cpp split4.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

# ----- VxWorks -------------------------------------------------------------

ADD_COMPILE_OPTS=-DZAF_VXW_APP_NAME=vsplit

#
# Build options for vsplit1.o
#
TARGET=vsplit1.o
TARGET_TYPE=exe
PLATFORM=vxworks
SOURCE_FILES=split1.cpp v_app.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for vsplit2.o
#
TARGET=vsplit2.o
TARGET_TYPE=exe
PLATFORM=vxworks
SOURCE_FILES=split2.cpp v_app.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for vsplit3.o
#
TARGET=vsplit3.o
TARGET_TYPE=exe
PLATFORM=vxworks
SOURCE_FILES=split3.cpp v_app.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for vsplit4.o
#
TARGET=vsplit4.o
TARGET_TYPE=exe
PLATFORM=vxworks
SOURCE_FILES=split.cpp split4.cpp v_app.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>


